* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

body {
  --twitter-color: #50b7f5;
  --twitter-background: #e6ecf0;
}

.sidebarOption {
  display: flex;
  align-items: center;
  cursor: pointer;
}

.sidebarOption .material-icons,
.fa-twitter {
  padding: 20px;
}

.sidebarOption h2 {
  font-weight: 800;
  font-size: 20px;
  margin-right: 20px;
}

.sidebarOption:hover {
  background-color: var(--twitter-background);
  border-radius: 30px;
  color: var(--twitter-color);
  transition: color 100ms ease-out;
}

.sidebarOption.active {
  color: var(--twitter-color);
}

.sidebar__tweet {
  width: 100%;
  background-color: var(--twitter-color);
  border: none;
  color: white;
  font-weight: 900;
  border-radius: 30px;
  height: 50px;
  margin-top: 20px;
}

body {
  display: flex;
  height: 100vh;
  max-width: 1300px;
  margin-left: auto;
  margin-right: auto;
  padding: 0 10px;
}

.sidebar {
  border-right: 1px solid var(--twitter-background);
  flex: 0.2;

  min-width: 250px;
  margin-top: 20px;
  padding-left: 20px;
  padding-right: 20px;
}

.fa-twitter {
  color: var(--twitter-color);
  font-size: 30px;
}

/* feed */
.feed {
  flex: 0.5;
  border-right: 1px solid var(--twitter-background);
  min-width: fit-content;
  overflow-y: scroll;
}

.feed__header {
  position: sticky;
  top: 0;
  background-color: white;
  z-index: 100;
  border: 1px solid var(--twitter-background);
  padding: 15px 20px;
}

.feed__header h2 {
  font-size: 20px;
  font-weight: 800;
}

.feed::-webkit-scrollbar {
  display: none;
}

.feed {
  -ms-overflow-style: none;
  scrollbar-width: none;
}

/* tweet box */
.tweetbox__input img {
  border-radius: 50%;
  height: 40px;
}

.tweetBox {
  padding-bottom: 10px;
  border-bottom: 8px solid var(--twitter-background);
  padding-right: 10px;
}

.tweetBox form {
  display: flex;
  flex-direction: column;
}

.tweetbox__input {
  display: flex;
  padding: 20px;
}

.tweetbox__input input {
  flex: 1;
  margin-left: 20px;
  font-size: 20px;
  border: none;
  outline: none;
}

.tweetBox__tweetButton {
  background-color: var(--twitter-color);
  border: none;
  color: white;
  font-weight: 900;

  border-radius: 30px;
  width: 80px;
  height: 40px;
  margin-top: 20px;
  margin-left: auto;
}

/* post */
.post__avatar img {
  border-radius: 50%;
  height: 40px;
}

.post {
  display: flex;
  align-items: flex-start;
  border-bottom: 1px solid var(--twitter-background);
  padding-bottom: 10px;
}

.post__body img {
  width: 450px;
  object-fit: contain;
  border-radius: 20px;
}

.post__footer {
  display: flex;
  justify-content: space-between;
  margin-top: 10px;
}

.post__badge {
  font-size: 14px !important;
  color: var(--twitter-color);
  margin-right: 5px;
}

.post__headerSpecial {
  font-weight: 600;
  font-size: 12px;
  color: gray;
}

.post__headerText h3 {
  font-size: 15px;
  margin-bottom: 5px;
}

.post__headerDescription {
  margin-bottom: 10px;
  font-size: 15px;
}

.post__body {
  flex: 1;
  padding: 10px;
}

.post__avatar {
  padding: 20px;
}

/* widgets */
.widgets {
  flex: 0.3;
}

.widgets__input {
  display: flex;
  align-items: center;
  background-color: var(--twitter-background);
  padding: 10px;
  border-radius: 20px;
  margin-top: 10px;
  margin-left: 20px;
}

.widgets__input input {
  border: none;
  background-color: var(--twitter-background);
}

.widgets__searchIcon {
  color: gray;
}

.widgets__widgetContainer {
  margin-top: 15px;
  margin-left: 20px;
  padding: 20px;
  background-color: #f5f8fa;
  border-radius: 20px;
}

.widgets__widgetContainer h2 {
  font-size: 18px;
  font-weight: 800;
}

.mensaje {
  display: flex;
  position: absolute;
  justify-content: center;
  align-items: center;
  left: 40%;
  top: 10px;
  width: 300px;
  height: 100px;
  border: 1px rgb(178, 224, 223) solid;
  background-color: rgba(230, 231, 226, 0.75);
  z-index: 100;
}

.mensaje span {
  color: red;
}